package com.cool.store.mapper;

import com.cool.store.entity.MDMAreaDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MdmAreaMapper {

    /**
     * 获取 MDM 省级地区数据
     * @return
     */
    List<MDMAreaDO> getProvince();

    List<MDMAreaDO> getSonArea(@Param("code") String code);

    List<MDMAreaDO> getProvinceAllCode(@Param("code") String code);

    List<MDMAreaDO> getArea(@Param("code") String code);
}
